
- NASM Map file ---------------------------------------------------------------

Source file:  history.asm
Output file:  ../../bin/history.eld

-- Program origin -------------------------------------------------------------

00000000

-- Sections (summary) ---------------------------------------------------------

Vstart            Start             Stop              Length    Class     Name
               0                 0                 0  00000000  progbits  .text
               0                 0                50  00000050  progbits  HEADER
            9001                50               A20  000009D0  progbits  CODE
            8000               A20               BD0  000001B0  progbits  DATA
               0                 0                 0  00000000  nobits    relocatedzero
            8000              8000              8000  00000000  nobits    RELOCATEDDATA

-- Sections (detailed) --------------------------------------------------------

---- Section .text ------------------------------------------------------------

class:     progbits
length:                   0
start:                    0
align:     not defined
follows:   not defined
vstart:                   0
valign:    not defined
vfollows:  not defined

---- Section HEADER -----------------------------------------------------------

class:     progbits
length:                  50
start:                    0
align:                   10
follows:   not defined
vstart:                   0
valign:    not defined
vfollows:  not defined

---- Section CODE -------------------------------------------------------------

class:     progbits
length:                 9D0
start:                   50
align:                   10
follows:   HEADER
vstart:                9001
valign:    not defined
vfollows:  not defined

---- Section DATA -------------------------------------------------------------

class:     progbits
length:                 1B0
start:                  A20
align:                   10
follows:   CODE
vstart:                8000
valign:    not defined
vfollows:  not defined

---- Section relocatedzero ----------------------------------------------------

class:     nobits
length:                   0
start:                    0
align:     not defined
follows:   not defined
vstart:                   0
valign:    not defined
vfollows:  not defined

---- Section RELOCATEDDATA ----------------------------------------------------

class:     nobits
length:                   0
start:                 8000
align:     not defined
follows:   not defined
vstart:                8000
valign:    not defined
vfollows:  not defined

-- Symbols --------------------------------------------------------------------

---- No Section ---------------------------------------------------------------

Value     Name
00000000  ELD_HEADER
00000000  eldhSignature
00000008  eldhCodeOffset
0000000C  eldhCodeImageLength
0000000E  eldhCodeAllocLength
00000010  eldhDataOffset
00000014  eldhDataImageLength
00000016  eldhDataAllocLength
00000018  eldhCodeEntrypoint
0000001A  eldhReserved
0000001E  eldhExtensionSize
00000020  ELD_HEADER_size
00000020  ELD_HEADER_size_b
00000010  ELD_HEADER_size_w
00000008  ELD_HEADER_size_d
00000004  ELD_HEADER_size_q
00000002  ELD_HEADER_size_p
00000001  ELD_HEADER_size_pg
00000001  ELD_HEADER_size_ki
00000000  ELD_HEADERX
00000000  eldhxHeader
00000020  eldhxDescriptionOffset
00000024  eldhxHelpOffset
00000028  eldhxLibTable
0000002C  eldhxDateTimeOffset
00000030  ELD_HEADERX_size
00000000  ELD_TRAILER_HEADER
00000000  eldthSignature
00000008  eldthHeaderOffset
0000000C  eldthReserved
0000000E  eldthChecksum
00000010  ELD_TRAILER_HEADER_size
00000010  ELD_TRAILER_HEADER_size_b
00000008  ELD_TRAILER_HEADER_size_w
00000004  ELD_TRAILER_HEADER_size_d
00000002  ELD_TRAILER_HEADER_size_q
00000001  ELD_TRAILER_HEADER_size_p
00000001  ELD_TRAILER_HEADER_size_pg
00000001  ELD_TRAILER_HEADER_size_ki
00000000  ELD_LIBTABLE
00000000  eldltFormat
00000002  eldltAmount
00000004  eldltOffset
00000008  eldltCompressedLength
00000008  ELD_LIBTABLE_size
00000008  ELD_LIBTABLE_size_b
00000004  ELD_LIBTABLE_size_w
00000002  ELD_LIBTABLE_size_d
00000001  ELD_LIBTABLE_size_q
00000001  ELD_LIBTABLE_size_p
00000001  ELD_LIBTABLE_size_pg
00000001  ELD_LIBTABLE_size_ki
00000000  ELD_INSTANCE
00000000  eldiStartCode
00000002  eldiEndCode
00000004  eldiStartData
00000006  eldiEndData
00000008  eldiIdentifier
00000010  eldiFlags
0000000E  eldiListing_size
00000012  eldiListing
00000020  ELD_INSTANCE_size
00000001  eldifResident
00000000  ELD_LINKINFO
00000000  eldlSignature
00000002  eldlReserved
00000006  eldlUseLinkHash
00000008  eldlDataAmount
0000000A  eldlDataPrefixes
0000000C  eldlDataEntries
0000000E  eldlDataAddresses
00000010  eldlCodeAmount
00000012  eldlCodePrefixes
00000014  eldlCodeEntries
00000016  eldlCodeAddresses
00000018  ELD_LINKINFO_size
00000050  CODEOFFSET
00000001  ..@149.num
000001E0  endinstalled
00000001  ..@304.num
00000A20  DATAOFFSET
000001B0  data_size
000001B0  transient_data_size
000000E0  resident_data_size
000001B0  total_data_size
00000001  ..@369.num
00000004  ..@378.num
00000290  endresident
00000000  LINKTABLE
00000000  ltCodeToCode
00000004  ltCodeToData
00000008  ltDataToCode
0000000C  ltDataToData
00000010  ltLinkData
00000014  ltLinkCode
00000018  LINKTABLE_size
00000000  linker._..@400.lframe_?frame_bp
FFFFFFFFFFFFFFFC  linker._..@400.lframe_?instance
FFFFFFFFFFFFFFFA  linker._..@400.lframe_?targetsection_low_optional_high
FFFFFFFFFFFFFFFA  linker._..@400.lframe_?targetsection
FFFFFFFFFFFFFFFB  linker._..@400.lframe_?optional
FFFFFFFFFFFFFFF6  linker._..@400.lframe_?linkinfo
FFFFFFFFFFFFFFF2  linker._..@400.lframe_?nextreloc
FFFFFFFFFFFFFFEE  linker._..@400.lframe_?entry
FFFFFFFFFFFFFFEC  linker._..@400.lframe_?use_hash
FFFFFFFFFFFFFFEA  linker._..@400.lframe_?pass
FFFFFFFFFFFFFFE8  linker._..@400.lframe_?amounterrors
FFFFFFFFFFFFFFE6  linker._..@400.lframe_?name
00000002  ..@472.num
00000008  ..@564.num
000009D0  code_size


---- Section HEADER -----------------------------------------------------------

Real              Virtual           Name
               0                 0  ..@53.strucstart
               0                 0  ..@56.strucstart
              28                28  header_extension_end
              30                30  description

---- Section CODE -------------------------------------------------------------

Real              Virtual           Name
              50              9001  code
              50              9001  ..@79.strucstart
              58              9009  ..@85.data
              70              9021  command
              72              9023  command.chain
              79              902A  ..@90.skipparameter
              7A              902B  command.entry
              82              9033  ..@.@@.1.0
              90              9041  command.ours
              B8              9069  ..@.@@.1.1
              BB              906C  clear
              C0              9071  uninstall
              D1              9082  ..@.@@.1.2
              E1              9092  uninstall.loop
              F2              90A3  uninstall.bx
              FC              90AD  uninstall.setbx
             8B2              9863  ..@144.name
             103              90B4  ..@.@@.1.3
             110              90C1  uninstall.bxnz
             121              90D2  uninstall.done
             129              90DA  ..@.@@.1.4
             131              90E2  uninstall.error
             13C              90ED  run_clear
             146              90F7  run_show
             15D              910E  run_show.putsz_end
             162              9113  ..@.@@.1.5
             174              9125  run_show.in_data_entry
             178              9129  run_show.in_separate
             197              9148  ..@.@@.1.6
             197              9148  run_show.not_entry
             197              9148  run_show.loop
             1AF              9160  run_show.not_seg
             1CC              917D  run_show.done
             1CC              917D  run_show.end
             1CD              917E  get_history_first_last
             1DB              918C  ..@.@@.1.7
             1DB              918C  history_missing
             1E8              9199  ..@.@@.1.8
             1F0              91A1  skipcomma
             1F7              91A8  ..@220.skipparameter
             1F8              91A9  isstring?
             1FF              91B0  ..@228.skipparameter
             200              91B1  chkeol
             207              91B8  ..@240.skipparameter
             208              91B9  cmd3
             20F              91C0  ..@248.skipparameter
             210              91C1  ispm
             217              91C8  ..@257.skipparameter
             218              91C9  putsz
             21F              91D0  ..@265.skipparameter
             220              91D1  setrc
             227              91D8  ..@274.skipparameter
             228              91D9  putsline_crlf
             22F              91E0  ..@285.skipparameter
             230              91E1  start
             25A              920B  ..@.@@.1.9
             260              9211  start.show
             265              9216  start.clear
             26A              921B  uninstall_oneshot
             28C              923D  ..@.@@.1.10
             28D              923E  install
             295              9246  ..@349.skipparameter
             7FC              97AD  ..@349.name
             93E              98EF  ..@356.name
             94C              98FD  ..@361.name
             8B2              9863  ..@364.name
             2C4              9275  install.only_first
             8B2              9863  ..@373.name
             933              98E4  ..@380.name
             2DD              928E  ..@.@@.1.11
             2E0              9291  linker
             2E3              9294  linker._..@400.lenter
             303              92B4  ..@.@@.1.12
             30D              92BE  linker.pass
             318              92C9  ..@.@@.1.13
             328              92D9  ..@.@@.1.14
             333              92E4  ..@.@@.1.15
             344              92F5  ..@.@@.1.16
             34F              9300  ..@.@@.1.17
             364              9315  ..@.@@.1.18
             36F              9320  ..@.@@.1.19
             382              9333  ..@.@@.1.20
             38E              933F  linker.otherloop
             391              9342  linker.datarelocloop
             3AB              935C  ..@.@@.1.21
             3C4              9375  linker.datarelocfind
             400              93B1  linker.address_data_reloc
             40B              93BC  ..@.@@.1.22
             40C              93BD  linker.datarelocnotfound
             933              98E4  ..@474.name
             422              93D3  ..@.@@.1.23
             42B              93DC  linker.datanotfound
             43C              93ED  linker.codenotfound
             44D              93FE  linker.notfound
             8E8              9899  ..@485.name
             466              9417  ..@488.skipparameter
             482              9433  ..@495.skipparameter
             823              97D4  ..@495.name
             48C              943D  ..@499.skipparameter
             81B              97CC  ..@499.name
             48D              943E  ..@.@@.1.24
             48E              943F  linker.copy
             495              9446  ..@505.skipparameter
             496              9447  linker.build_match
             4B1              9462  ..@.@@.1.25
             4B4              9465  ..@.@@.1.26
             4C0              9471  ..@.@@.1.27
             4C2              9473  linker.donedatareloc
             4D1              9482  linker.coderelocloop
             4F6              94A7  linker.coderelocfind
             54B              94FC  ..@.@@.1.28
             555              9506  linker.error_j
             558              9509  ..@.@@.1.29
             567              9518  linker.donecodereloc
             580              9531  ..@.@@.1.30
             580              9531  linker.hint
             58B              953C  ..@526.skipparameter
             598              9549  linker.loop_hint
             59B              954C  ..@.@@.1.31
             5A4              9555  linker.end_hint
             5B2              9563  ..@539.skipparameter
             833              97E4  ..@539.name
             8A9              985A  ..@545.name
             5C4              9575  ..@548.skipparameter
             5C4              9575  linker.no_hint
             93E              98EF  ..@558.name
             5E2              9593  linker.error
             5E5              9596  linker._..@400.lleave
             5E9              959A  plex_check
             5FD              95AE  ..@.@@.1.32
             606              95B7  ..@576.skipparameter
             863              9814  ..@576.name
             616              95C7  ..@582.skipparameter
             61D              95CE  plex_check.notfound
             61E              95CF  plex_check.checkret
             620              95D1  linkercoderelocations
             660              9611  linkerlinkercoderelocations
             674              9625  linktable
             674              9625  ..@592.strucstart
             68C              963D  linkerdatarelocations
             730              96E1  internalcodetocoderelocations
             752              9703  internalcodetodatarelocations
             774              9725  internaldatatocoderelocations
             776              9727  internaldatatodatarelocations
             778              9729  linkerlinkerdatarelocations
             78C              973D  internallinkercodetocoderelocations
             796              9747  internallinkercodetodatarelocations
             798              9749  internallinkerdatatocoderelocations
             79A              974B  internallinkerdatatodatarelocations
             79C              974D  debuggeramissig
             79C              974D  ..@622.data
             7A4              9755  ..@624.data
             7AC              975D  listmsg
             7AC              975D  listmsg.hint
             7CD              977E  listmsg.hint.offset
             7D5              9786  ..@90.name
             7E4              9795  ..@220.name
             7F0              97A1  ..@228.name
             7FC              97AD  ..@240.name
             805              97B6  ..@248.name
             80C              97BD  ..@257.name
             813              97C4  ..@265.name
             81B              97CC  ..@274.name
             823              97D4  ..@285.name
             833              97E4  ..@488.name
             83D              97EE  ..@505.name
             85A              980B  ..@526.name
             863              9814  ..@548.name
             870              9821  ..@582.name
             87B              982C  ..@103.name
             885              9836  ..@107.name
             88E              983F  ..@111.name
             89E              984F  ..@127.name
             8A9              985A  ..@132.name
             8B2              9863  ..@140.name
             8C8              9879  ..@165.name
             8D8              9889  ..@183.name
             8E8              9899  ..@189.name
             8F3              98A4  ..@195.name
             906              98B7  ..@200.name
             916              98C7  ..@204.name
             925              98D6  ..@292.name
             933              98E4  ..@306.name
             93E              98EF  ..@314.name
             94C              98FD  ..@322.name
             95B              990C  ..@516.name
             96C              991D  ..@531.name
             991              9942  ..@566.name
             9A2              9953  ..@570.name
             9BA              996B  lmsg
             9BA              996B  lmsg.warning_data_optional
             9DC              998D  lmsg.error_data
             9F5              99A6  lmsg.error_code
             A0E              99BF  lmsg.error.2

---- Section DATA -------------------------------------------------------------

Real              Virtual           Name
             A20              8000  datastart
             A20              8000  msg
             A20              8000  msg.history
             A28              8008  msg.clear
             A2E              800E  msg.show
             A33              8013  msg.uninstall_done
             A52              8032  msg.uninstall_error
             A79              8059  msg.history_none
             A9B              807B  msg.history_unknown
             AB7              8097  msg.history_missing
             AF0              80D0  uinit_data
             AF0              80D0  msg.help
             BB3              8193  msg.installed
             BD0              81B0  init_data_end
             AF0              80D0  history_data_entry
             B00              80E0  uinit_data_end
             B00              80E0  resident_data_end

---- Section relocatedzero ----------------------------------------------------

Real              Virtual           Name
               0                 0  relocatedzero

---- Section RELOCATEDDATA ----------------------------------------------------

Real              Virtual           Name
            8000              8000  relocateddata

